# Uses of Interface
org.springframework.beans.factory.aot.BeanRegistrationCodeFragments

Packages that use BeanRegistrationCodeFragments
Package
Description
org.springframework.beans.factory.aot
AOT support for bean factories.

## Uses of BeanRegistrationCodeFragments in org.springframework.beans.factory.aot

Classes in org.springframework.beans.factory.aot that implement BeanRegistrationCodeFragments
Modifier and Type
Class
Description
`class`
`BeanRegistrationCodeFragmentsDecorator`
A `BeanRegistrationCodeFragments` decorator implementation.
Methods in org.springframework.beans.factory.aot that return BeanRegistrationCodeFragments
Modifier and Type
Method
Description
`default BeanRegistrationCodeFragments`
BeanRegistrationAotContribution.`customizeBeanRegistrationCodeFragments(org.springframework.aot.generate.GenerationContext generationContext, BeanRegistrationCodeFragments codeFragments)`
Customize the `BeanRegistrationCodeFragments` that will be used to generate the bean registration code.
Methods in org.springframework.beans.factory.aot with parameters of type BeanRegistrationCodeFragments
Modifier and Type
Method
Description
`default BeanRegistrationCodeFragments`
BeanRegistrationAotContribution.`customizeBeanRegistrationCodeFragments(org.springframework.aot.generate.GenerationContext generationContext, BeanRegistrationCodeFragments codeFragments)`
Customize the `BeanRegistrationCodeFragments` that will be used to generate the bean registration code.
Method parameters in org.springframework.beans.factory.aot with type arguments of type BeanRegistrationCodeFragments
Modifier and Type
Method
Description
`static BeanRegistrationAotContribution`
BeanRegistrationAotContribution.`withCustomCodeFragments(UnaryOperator<BeanRegistrationCodeFragments> defaultCodeFragments)`
Create a `BeanRegistrationAotContribution` that customizes the `BeanRegistrationCodeFragments`.
Constructors in org.springframework.beans.factory.aot with parameters of type BeanRegistrationCodeFragments
Modifier
Constructor
Description
`protected`
`BeanRegistrationCodeFragmentsDecorator(BeanRegistrationCodeFragments delegate)`